summaryrefslogtreecommitdiff
path: root/tests/cp/symlink-slash
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-19 21:55:30 +0000
committerJim Meyering <jim@meyering.net>2002-04-19 21:55:30 +0000
commit306c8e8b4fec79a581f2cad7b160ba6f61f600ac (patch)
tree294ed47d250d3d7334d95d14fd7033c7e1a87fdd /tests/cp/symlink-slash
parent3cc80a439024199e6673477ae91cb32f69aa7ad3 (diff)
downloadcoreutils-306c8e8b4fec79a581f2cad7b160ba6f61f600ac.tar.xz
Lots of clean-up:
E.g., (exit $fail); exit t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
Diffstat (limited to 'tests/cp/symlink-slash')
-rwxr-xr-xtests/cp/symlink-slash12
1 files changed, 6 insertions, 6 deletions
diff --git a/tests/cp/symlink-slash b/tests/cp/symlink-slash
index 7fb0c0717..827888c68 100755
--- a/tests/cp/symlink-slash
+++ b/tests/cp/symlink-slash
@@ -9,10 +9,13 @@ fi
. $srcdir/../lang-default
-tmp=t-cpsymsl.$$
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
framework_failure=0
-mkdir $tmp || framework_failure=1
+mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
mkdir dir || framework_failure=1
@@ -34,7 +37,4 @@ set `ls -l s`
# call and so cp ends up dereferencing the symlink and copying the directory.
test "$*" = 'total 0' && : || fail=1
-cd ..
-rm -rf $tmp
-
-exit $fail
+(exit $fail); exit